解决安装mongoose时,node-gyp报错问题
解决安装mongoose时,node-gyp报错问题
chenjihua 发表于2年前
解决安装mongoose时,node-gyp报错问题
  • 发表于 2年前
  • 阅读 47
  • 收藏 0
  • 点赞 0
  • 评论 0

腾讯云 新注册用户 域名抢购1元起>>>   

安装mongoose是系统报错,显示找不到gssapi/gssapi.h:

In file included from ../lib/kerberos.cc:1:0:
../lib/kerberos.h:5:27: fatal error: gssapi/gssapi.h: No such file or directory
 #include <gssapi/gssapi.h>
                           ^
compilation terminated.

解决方法,安装缺少的库:

$ apt-get install libkrb5-dev
共有 人打赏支持
粉丝 0
博文 6
码字总数 843
×
chenjihua
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: